Bug 436249 - (XEN) Domain 0 crashed: rebooting machine in 5 seconds.
(XEN) Domain 0 crashed: rebooting machine in 5 seconds.
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-03-05 22:26 EST by John Summerfield
Modified: 2009-07-14 14:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Summerfield 2008-03-05 22:26:54 EST
Description of problem:
When the kernel panics, xen reboots two quickly for users to see what's happened.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot with a duff initrd:-)
Actual results:

boot loop

Expected results:
By default, to stop until the users presses ^-ALT-DEL.

Additional info:
switchroot: mount failed: No such file or directory
Booting has failed.
Kernel panic - not syncing: Attempted to kill init!
(XEN) Debugging connection not set up.
(XEN) Domain 0 crashed: rebooting machine in 5 seconds.

See also 436099    	 
I wasn't able to find the cause of this without a serial cable to connect two
serial ports together.
Comment 1 Daniel Berrange 2008-03-05 23:38:32 EST
To disable the automatic reboot, just add  'noreboot' to the hypervisor boot
command line args in grub.
Comment 2 John Summerfield 2008-03-10 05:22:38 EDT
Five seconds is way too fast. There needs to be enough time for a user to
realise something is wrong and read the messages. The current delay is barely
enough time to photograph the screen (I had to do that recently for another bug).

The default operation should be the same as Linux kernels, much as I dislike
hard lockups.

Best default for both, I think, would be to await control-alt-del.

btw Where are the xen options documented? Certainly not in the package.
Comment 3 Daniel Berrange 2008-03-19 20:28:02 EDT
THis needs to be against kernel-xen, since that's where the hypervisor lives.
I'm still not inclined to chance the default Xen hypervisor reboot behaviour,
but will leave it up kernel guys to decide.
Comment 4 John Summerfield 2008-03-30 23:35:18 EDT
I wonder whether this should be reassinged to alanc, the original problem is a
manifestation of 436099 on the same hardware, and which it is (properly)
assigned to him.
Comment 5 John Summerfield 2008-04-27 05:48:59 EDT
436099 is closed, the original problem (probably) needs the same fixed. Possibly
to should also have been marked f9-kernel-blocker, as the other was.

Comment 6 Bug Zapper 2008-05-14 01:48:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Bug Zapper 2009-06-09 19:41:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-07-14 14:26:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.